using System.Collections.Generic;

namespace Siger.ApiCNC.Result
{
    public class ProductPlanAlysisResult : CncResultBase
    {
        public List<HasProduce> data { get; set; }

        public PlanNum plan_num { get; set; }

        public ProductPlanAlysisResult()
        {
            plan_num = new PlanNum();
            data = new List<HasProduce>();
        }
    }

    public class HasProduce
    {
        public int actual_output { get; set; }

        public int nok_number { get; set; }

        public string type { get; set; }
    }

    public class PlanNum
    {
        public FirstParameter first { get; set; }

        public List<SecondParameter> second { get; set; }

        public PlanNum()
        {
            first = new FirstParameter();
            second = new List<SecondParameter>();
        }
    }

    public class FirstParameter
    {
        public int num1 { get; set; }

        public int num2 { get; set; }

        public int num3 { get; set; }
    }

    public class SecondParameter
    {
        public string name { get; set; }

        public int num1 { get; set; }

        public int num2 { get; set; }
    }
}
